Subject: RE: "cygrunsrv -Q portmap" says: Service portmap exists ... Typ e: Kernel Driver
From: "Povolotsky, Alexander" <[email-masked]>
To: "'Cygwin List'" <[email-masked]>
Cc: "'Robb, Sam'" <[email-masked]>, "'Hugh Sparks'" <[email-masked]>
Date: Mon, 30 Aug 2004 17:38:29 -0400

With nfsd and mountd Cygwin services running I have 
netstat -a

Active Connections

  Proto  Local Address          Foreign Address        State
 TCP    <computername>:sunrpc  <computername>.win.marconi.com:0  LISTENING
 ....
 TCP    <computername>:2049    <computername>.win.marconi.com:0  LISTENING
 ....

With nfsd and mountd Cygwin services stopped I have
D:\Profiles\apovolot>netstat -a

Active Connections

  Proto  Local Address          Foreign Address        State
  TCP    <computername>:sunrpc  <computername>.win.marconi.com:0  LISTENING
 
but there is no listening on port 2049 ...  

-----Original Message-----
From: Larry Hall [mailto:[email-masked]]
Sent: Sunday, August 29, 2004 6:14 PM
To: Povolotsky, Alexander; 'Cygwin List'
Cc: 'Robb, Sam'; 'Hugh Sparks'
Subject: RE: "cygrunsrv -Q portmap" says: Service portmap exists ... Typ
e: Kernel Driver

At 02:13 PM 8/29/2004, you wrote:
>Indeed I have portmap.sys file 
>
>C:\Microsoft Services for UNIX\nfs>dir  portmap.sys
> Volume in drive C is System
> Volume Serial Number is 88BD-DAD2
>
> Directory of C:\Microsoft Services for UNIX\nfs
>
>11/08/2003  02:42 PM            35,072 portmap.sys
>               1 File(s)         35,072 bytes
>               0 Dir(s)   2,908,000,256 bytes free
>
>I also have PORTMAP.EXE-1179541D.pf in Z:\Windows\Prefetch
>
>>In any case, the Windows Serivces will bind the nfs ports 
>
>How this could be veified ?
>
>>and prevent the Cygwin nfsd from working.
>
>I think there should be a solution, short of deinstalling "Windows Services
>for Unix' ? 

Well, if you can figure out a way to get Windows to ignore the portmap 
driver, then you may be able to get Cygwin's portmap server to run.  
However, more practically, I think you're going to find these two pieces 
of software are incompatible.  Given that you have access to the Cygwin
version's source, you could conceivably track down where these two collide
and potentially fashion a fix that allows Cygwin's version to work around
MS's, if that's your goal.  Seems like having one or the other of these 
running is all that the typical user would want/need though.  YMMV.
--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     
-----Original Message-----
From: Hugh Sparks [mailto:[email-masked]]
Sent: Sunday, August 29, 2004 4:23 PM
To: Povolotsky, Alexander
Subject: Re: "cygrunsrv -Q portmap" says: Service portmap exists ...
Type: Kernel Driver

> I think there should be a solution, short of deinstalling "Windows
> Services for Unix' ?

Hmmm.
It will depend on how Microsoft decided to "bundle" the services.
In a DOS Command Line window, try this command:

netstat -a

 Do this with the cygwin nfs services <disabled>
(nfsd, portmap.exe, and mountd)

If you see that someone is still listening on the nfsd port
(2049) or sunrpc (111)you have found the problem.
You will need to figure out which Microsoft programs bind
these ports and disable it.

I'm not sure how Windows Services for Unix works, but
you might need to remove system services or edit the registry
auto-start programs to get rid of the nfsd program.

I no long install Window Services for Unix, so I can't figure
this part out for you.

-Hugh Sparks, [email-masked]
-----Original Message-----
From: Hugh Sparks [mailto:[email-masked]]
Sent: Sunday, August 29, 2004 9:56 AM
To: Povolotsky, Alexander; 'Cygwin List'
Cc: 'Robb, Sam'; [email-masked]; 'boxforsr';
[email-masked]
Subject: Re: "cygrunsrv -Q portmap" says: Service portmap exists ...
Type: Kernel Driver

> Perhaps Windows XP has it as a driver by default ?
> Or is it because (just recalled - sorry for not mentioning it before - I
> really have forgotten about it) I have Microsoft's "Windows services
> for Unix ver. 3.5" being installed ?

Yow!
"Windows Services for Unix" probably has a portmap.exe of it's own.
In any case, the Windows Serivces will bind the nfs ports and prevent
the Cygwin nfsd from working.

-Hugh Sparks, [email-masked]
-----Original Message-----
From: Povolotsky, Alexander 
Sent: Sunday, August 29, 2004 9:28 AM
To: 'Cygwin List'
Cc: 'Hugh Sparks'; 'Robb, Sam'; [email-masked]';
'boxforsr'; [email-masked]'
Subject: "cygrunsrv -Q portmap" says: Service portmap exists ... Type:
Kernel Driver

$ ls -l /proc/registry/HKEY_LOCAL_MACHINE/SYSTEM/CurrentControlSet/Services
| egrep '(nfs|portmap|mount)'
dr-xr-x---    3 Administ SYSTEM          0 Aug 29 08:55 mountd
dr-xr-x---    3 Administ SYSTEM          0 Aug 29 08:55 nfsd

$ cygrunsrv -Q mountd
Service mountd exists
Type                : Own Process
Current State       : Running
Controls Accepted   : Accept Stop

$ cygrunsrv -Q nfsd
Service nfsd exists
Type                : Own Process
Current State       : Running
Controls Accepted   : Accept Stop

$ cygrunsrv -Q portmap
Service portmap exists  !!!!!!!!!!!!!! ???????????
Type                : Kernel Driver  !!!!!!!!!!!!!! ??????????????????
Current State       : Running
Controls Accepted   : Accept Stop

Perhaps Windows XP has it as a driver by default ?
Or is it because (just recalled - sorry for not mentioning it before - I
really have have forgotten about it) I have Microsoft's "Windows services
for Unix ver. 3.5" being installed ?

Thanks,
Alex

-----Original Message-----
From: Larry Hall [mailto:[email-masked]]
Sent: Saturday, August 28, 2004 7:25 PM
To: Povolotsky, Alexander; [email-masked]'
Cc: 'Hugh Sparks'; 'Robb, Sam'
Subject: RE: cygwin nfs server

At 01:55 PM 8/28/2004, you wrote:
>>But it's apparently not in your path for some reason.
>>Add it to the Windows system environment variables and see if that clears
>up your problem.  
>I added /usr/sbin to the path in my .bashrc (per above suggestion from
Larry
>Hall)

Actually, that was not what I was suggesting at all.  Rather I was 
suggesting that you add the Windows version of '/usr/bin' to your 
system wide PATH setting in Windows.  The error you were getting 
suggests that cygwin1.dll cannot be found for some reason and this
would ensure that the path is not the problem (of course if the path
is not the problem, I'm not sure what is).  Adding '/usr/sbin' or '/usr/bin'
to your shell's path isn't going to help you very much I expect.

>$ set 
>...
>PATH='/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/cygdrive/d/Software/Acti
v
>eTcl/bin:/cygdrive/c/Orant/bin:/cygdrive/c/Ora8/bin:/cygdrive/c/Program
>Files/Oracle/jre/1.1.7/bin:/cygdrive/c/WINDOWS/system32:/cygdrive/c/WINDOWS
:
>/cygdrive/c/WINDOWS/System32/Wbem:/cygdrive/d/Software:/cygdrive/c/Program
>Files/PC-Doctor for Windows/services:/cygdrive/z/program
>files/rksupport:/cygdrive/d/Software/cvsnt:/
>cygdrive/c/SFU/common/:.:/usr/sbin'

Yeah but like I said, this is less interesting because this is the path 
in your current shell, which isn't going to be the same path as the service
sees.

>but I found "Readme" for NFS server and tried to do it "by the book" from
>the Cygwin shell ...
>
>$ cygrunsrv.exe -I "portmap" -p /usr/sbin/portmap -a -F
>cygrunsrv: Error installing a service: OpenService:  Win32 error 1073:
>The specified service already exists.

That just means that it's been installed already.

>However (as I have stated several times already)
>the Cygwin portmap service is not listed ...

OK.  So what does the following command show you?

"ls -l /proc/registry/HKEY_LOCAL_MACHINE/SYSTEM/CurrentControlSet/Services |
egrep '(nfs|portmap|mount)'"

And these:

cygrunsrv -Q mountd
cygrunsrv -Q nfsd
cygrunsrv -Q portmap

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     
-----Original Message-----
From: Povolotsky, Alexander 
Sent: Saturday, August 28, 2004 1:56 PM
To: [email-masked]'
Cc: 'Hugh Sparks'; 'Robb, Sam'; [email-masked]';
[email-masked]'; 'boxforsr'
Subject: RE: cygwin nfs server

>But it's apparently not in your path for some reason.
>Add it to the Windows system environment variables and see if that clears
up >your problem.  
I added /usr/sbin to the path in my .bashrc (per above suggestion from Larry
Hall)

$ set 
...
PATH='/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/cygdrive/d/Software/Activ
eTcl/bin:/cygdrive/c/Orant/bin:/cygdrive/c/Ora8/bin:/cygdrive/c/Program
Files/Oracle/jre/1.1.7/bin:/cygdrive/c/WINDOWS/system32:/cygdrive/c/WINDOWS:
/cygdrive/c/WINDOWS/System32/Wbem:/cygdrive/d/Software:/cygdrive/c/Program
Files/PC-Doctor for Windows/services:/cygdrive/z/program
files/rksupport:/cygdrive/d/Software/cvsnt:/
cygdrive/c/SFU/common/:.:/usr/sbin'

but I found "Readme" for NFS server and tried to do it "by the book" from
the Cygwin shell ...

$ cygrunsrv.exe -I "portmap" -p /usr/sbin/portmap -a -F
cygrunsrv: Error installing a service: OpenService:  Win32 error 1073:
The specified service already exists.

However (as I have stated several times already)
the Cygwin portmap service is not listed ...

FYI "googling" shows that the similar error was reported for "shd"
http://archive.erdelynet.com/ssh-l/2002-08/msg00035.php

http://www.cygwin.com/ml/cygwin/2003-03/msg01461.html

and "postmaster"

http://www.ozzu.com/ftopic1380.html

Here is another piece of info (for whatever it is worth for given problem
...)

$ cygcheck -l nfs-server
/usr/bin/nfs-server-config
/usr/man/man5/exports.5
/usr/man/man8/mountd.8
/usr/man/man8/nfsd.8
/usr/man/man8/rpc.mountd.8
/usr/man/man8/rpc.nfsd.8
/usr/man/man8/showmount.8
/usr/sbin/rpc.mountd.exe
/usr/sbin/rpc.nfsd.exe
/usr/sbin/showmount.exe
/usr/share/doc/Cygwin/nfs-server-2.2.47-2.RE
/usr/share/doc/nfs-server-2.2.47/BUGS
/usr/share/doc/nfs-server-2.2.47/ChangeLog
/usr/share/doc/nfs-server-2.2.47/COPYING
/usr/share/doc/nfs-server-2.2.47/NEWS
/usr/share/doc/nfs-server-2.2.47/README

-----Original Message-----
From: Povolotsky, Alexander 
Sent: Friday, August 27, 2004 8:44 PM
To: [email-masked]'
Cc: 'Hugh Sparks'; 'Robb, Sam'; [email-masked]';
[email-masked]'; 'boxforsr'
Subject: RE: cygwin nfs server

To check the theory that Z drive is confusing Cygwin,
it is "foundable" using "ls" from "Cygwin bash shell" (via c: drive
reference):
$ ls /cygdrive/c/cygwin/usr/sbin/PORTMAP.EXE
/cygdrive/c/cygwin/usr/sbin/PORTMAP.EXE

Executing it from "Cygwin bash shell"

$ /cygdrive/c/cygwin/usr/sbin/PORTMAP.EXE

did not produce the process running 

$ strace  /cygdrive/c/cygwin/usr/sbin/PORTMAP.EXE
strace.exe: error creating process
C:/cygwin/cygdrive/c/cygwin/usr/sbin/PORTMAP.EXE, (error 3)

What is the meaning of (error 3)?

Then I executed PORTMAP.EXE from the "DOS" shell (again executing
PORTMAP.EXE via c: drive reference)

D:\Profiles\apovolot>c:\cygwin\usr\sbin\PORTMAP.EXE

The executable was found but the execution of PORTMAP.EXE produced the
following error:
"portmap.exe - Unable To Locate Component"
"This application has failed to start because cygwin1.dll was not found."

However cygwin1.dll  does reside in Z:\cygwin\bin (which is c:\cygwin\bin )
it is also "foundable" using "ls" from "Cygwin bash shell":
$ ls /cygdrive/c/cygwin/bin/cygwin1.dll
/cygdrive/c/cygwin/bin/cygwin1.dll

>You should see installed services named:

>    Cygwin mountd
>    Cygwin nfsd
>    Cygwin portmap

As I have reported before the third service (Cygwin portmap) is not listed

Regards,
Alex
-----Original Message-----
From: Hugh Sparks [mailto:[email-masked]]
Sent: Friday, August 27, 2004 2:36 PM
To: Povolotsky, Alexander
Subject: Re: cygwin nfs server>  Z:\cygwin\usr\sbin\PORTMAP.EXE

>  (Z: drive is remapping of my C: drive which itself is not visible on
> Windows XP Pro)

I wonder if that is causing your problem.
It is possible that the service dependency is looking for the path
    c:\cygwin\usr\sbin\PORTMAP.EXE

I'm starting to think that maybe the weirdness with your
Z drive is fooling Cygwin. I remember once long ago,
I tried installing Cygwin somewhere other than
c:\cygwin.  I had all sorts of problems and I had to unsinstall
everything an start over.

> Do I need to start it myself manually ?

No. 
You are supposed to configure the services
"Cygwin nfsd" and also "Cygwin mountd" so they
both depend on "Cygwin portmap".

Run:

    Start Menu/Programs/Administrative Tools/Services

(Or do whatever works for you to get to the services window)

You should see installed services named:

    Cygwin mountd
    Cygwin nfsd
    Cygwin portmap

If you right-click on "Cygwin mountd" and select Properties
and then select the "Dependencies" tab,
you should see that it depends on "Cygwin portmap".
The same should be true for "Cygwin nfsd".
When yhou look at the dependencies tab for the "Cygwin portmap"
you should see a display that shows that "Cygwin mountd" and
"Cygwin nfsd" both "depend on this service".

On the "General" tab, the "Startup type:" should be "Automatic"
for all three services.

Also, on the "General" tab, you will see buttons to Start, Stop,
Pause, and Resume. If PORTMAP.EXE does not show up in 
the Task Damager list, try this:

Using the GUI panels described above:
Stop the services "Cygwin nfsd" and "Cygwin mountd".
Start the "Cygwin portmap"
Start "Cygwin mountd"
Start "Cygwin nfsd"

This is what should be happening automatically.

Good luck,

-Hugh Sparks, [email-masked]

-----Original Message-----
From: Povolotsky, Alexander 
Sent: Friday, August 27, 2004 10:53 AM
To: [email-masked]'
Cc: 'Hugh Sparks'; 'Robb, Sam'; [email-masked]';
[email-masked]'; 'boxforsr'
Subject: RE: cygwin nfs server

Searching for PORTMAP.EXE finds it in
 Z:\cygwin\usr\sbin 
 (Z: drive is remapping of my C: drive which itself is not visible on
Windows XP Pro)

>Service name is Cygwin Portmap ...
Do I need to start it myself manually ?
-----Original Message-----
From: Povolotsky, Alexander 
Sent: Friday, August 27, 2004 10:00 AM
To: 'boxforsr'
Cc: [email-masked]; 'Hugh Sparks'; 'Robb, Sam';
[email-masked]'; [email-masked]'
Subject: RE: cygwin nfs server

Yes, I got this package downloaded/installed yesterday too.
cygcheck -cd
...
sunrpc                  4.0-2
...
-----Original Message-----
From: boxforsr [mailto:[email-masked]]
Sent: Friday, August 27, 2004 9:47 AM
To: Povolotsky, Alexander
Cc: [email-masked]
Subject: Re: cygwin nfs server

Portmap is in another package... It is called SunRpc or smth....

----- Original Message ----- 
From: "Povolotsky, Alexander" <[email-masked]>
To: "'Hugh Sparks'" <[email-masked]>
Cc: <[email-masked]>; "'Robb, Sam'" <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Friday, August 27, 2004 5:05 PM
Subject: RE: cygwin nfs server

> Hello Hugh,
>
> I have:
>
>     cygrunsrv.exe (two of these - you have three instances ...)
>     rpc.nfsd.exe
>     rpc.mountd.exe
>
> I do not have PORTMAP.EXE !
>
> >Try exporting some directories and see if you can mount them from your
> Unix/Linux machine.
>
> My Linux board is not ready yet (I am working now at home alone ... - no
> other machines, besides the laptop and the board)
>  - as soon as I will set my board up, I'll try.
>
> Thanks,
> Best Regards,
> Alex
>
> -----Original Message-----
> From: Hugh Sparks [mailto:[email-masked]]
> Sent: Friday, August 27, 2004 8:46 AM
> To: Povolotsky, Alexander
> Subject: Re: cygwin nfs server
>
>
>
> > When I look for installed services (I run Windows XP Pro):
> > (Right click on "My Computer"->Manage->"Services and
> Applications"->Services)
> > in the list of services I see "Cygwin mountd" and "Cygwin nfsd" but I
> don't
> > see "Portmap" service (what is the exact name for that service ?).
>
> It shows up on my task list as "PORTMAP.EXE" (capital letters for some
> reason.) It should get started automatically when nfsd and mountd are
> started.
>
> > By the way, today I just rebooted my computer and now both "Cygwin
mountd"
> > and "Cygwin nfsd" (which are automatic) are shown as started and running
> ... .
> > So does it mean I am OK now ?
>
> It sounds promising. Try exporting some directories and see if you can
> mount them from your Unix/Linux machine.
>
> I looked at my task list when nfsd is running. The following things seem
> to be nfs-related:
>
>     PORTMAP.EXE
>     cygrunsrv.exe (three of these)
>     rpc.nfsd.exe
>     rpc.mountd.exe
>
> -Hugh Sparks, [email-masked]
> -----Original Message-----
> From: Povolotsky, Alexander
> Sent: Friday, August 27, 2004 8:06 AM
> To: 'Hugh Sparks'
> Cc: 'Robb, Sam'; [email-masked]'
> Subject: RE: cygrunsrv -S mountd fails: Error starting a service:
> QueryServiceStatus: Win32 error 1062 ?
>
>
> Hi Hugh,
>
> Yes, I did run nfs-server-config prior to cygrunsrv commands
>
> >It worked for me when I told it to install mountd, nfsd and portmap as
> >Windows services NOT as inetd or xinetd services.
>
> but I ran it without any arguments - I am not sure how did you run it per
> above words of yours: "I told it" ?
>
> I have:
>
> nfs-server              2.2.47-2  (same as yours)
> cygrunsrv               1.0-1     (you have 0.96-2)
>
> I just downloaded and installed those yesterday ...
>
> When I look for installed services (I ran Windows XP Pro):
> (Right click on "My Computer"->Manage->"Services and Applications
> "->Services)
> in the list of services I see "Cygwin mountd" and "Cygwin nfsd" but I
don't
> see "Portmap" service (what is the exact name for that service ?).
>
> By the way, today I just rebooted my computer and now both "Cygwin mountd"
> and "Cygwin nfsd" (which are automatic) are shown as started and running
...
> So does it mean I om OK now ?
>
> Thanks,
> Alex
>
> -----Original Message-----
> From: Hugh Sparks [mailto:[email-masked]]
> Sent: Thursday, August 26, 2004 9:33 PM
> To: Povolotsky, Alexander
> Subject: Re: cygrunsrv -S mountd fails: Error starting a service:
> QueryServiceStatus: Win32 error 1062 ?
>
>
> >> Another idea: Take a look at this program:
> >>
> >>     /usr/bin/nfs-server-config
>
> I did run that program.
>
> It worked for me when I told it to install mountd, nfsd and portmap as
> Windows services NOT as inetd or xinetd services.
>
> Use the "Task Damager" <Control><Alt><Delete> to see if you have the
> portmap service running before you try to start nfsd or mountd. Start it
> "by hand" if necessary.
>
> Also let me know if you have more recent software than I do.
> If necessary, I will update my software to match yours and then
> repeat the installation procedure to see what has broken.
>
> -Hugh Sparks, [email-masked]
> -----Original Message-----
> From: Hugh Sparks [mailto:[email-masked]]
> Sent: Thursday, August 26, 2004 9:24 PM
> To: Povolotsky, Alexander
> Subject: Re: cygrunsrv -S mountd fails: Error starting a service:
> QueryServiceStatus: Win32 error 1062 ?
>
>
> > Do you have any idea (as an author of the "How To") ?
>
> > Cygwin mountd
> > Cygwin nfsd
>
> I'll try to give you a longer reply tomorrow, but here are
> some quick ideas:
>
> > Subject: cygrunsrv -S mountd fails: Error starting a service:
> > QueryServiceStatus: Win32 error 1062 ?
>
> The services nfsd and mound both depend on the "portmap" service.
> Your error "1062" translates to "The service has not been started."
> My guess is that the portmap service is not installed or is not running.
>
> It might help me to know about the versions of the cygwin packages you
> are using. I'm running:
>
>     nfs-server-2.2.47-2
>     cygrunsrv-0.96-2
>
> If you have newer versions than I do, you may be seeing a new bugs
> of some kind. If you have older packages, you may be seeing older
> bugs that have been fixed.
>
> Another idea: Take a look at this program:
>
>     /usr/bin/nfs-server-config
>
> If you run this, it is supposed to help you configure the nfs server.
> It's a shell script, so you can study what it is trying to do with your
> text editor.
>
> I'll try to spend more time with you on this over the weekend.
>
> -Hugh Sparks, [email-masked]
>
> Hi Hugh,
>
> Do you have any idea (as an author of the "How To") ?
>
> By the way are your instructions in "How To" :
> ************************
> Starting the server
> Run:
>
> Start Menu/Programs/Administrative Tools/Services There are three
> services associated with NFS:
>
> Cygwin mountd
> Cygwin nfsd
> **************************
> specifically Windows 2000 related ?
>
> On Windows XP the equivalent to above would be:
>
> Right click on "My Computer"->Manage->"Services and Applications
"->Services
>
> Using above (as well as using alternative "cygrunsrv -S mountd" from the
> cygwin shell - see below) fail start the "Cygwin mountd" service for me
...
>
> Thanks,
> Alex
> -----Original Message-----
> From: Povolotsky, Alexander
> Sent: Thursday, August 26, 2004 6:55 PM
> To: [email-masked]'
> Cc: [email-masked]'
> Subject: cygrunsrv -S mountd fails: Error starting a service:
> QueryServiceStatus: Win32 error 1062 ?
>
> Hi David,
>
> I am also getting the same error as you (an I also I have XP Pro) - did
you
> get any explanation for it ?
>
> apovolot@USPITLAD104868 /cygdrive/c/cygwin/etc
> $ cygrunsrv -S portmap
>
> my entry in /etc/export is set to:
> ~/fadsroot 192.168.0.0/255.255.255.0(ro, no_root_squash)
>
> but I do not have yet the board with IP address 192.168.0.0 configured and
> network connected to the laptop - so could I start mountd daemon (service)
?
> -
>  when i do that I repeatedly get error ...
>
> apovolot@USPITLAD104868 /cygdrive/c/cygwin/etc
> $ cygrunsrv -S mountd
> cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error 1062
> The service has not been started.
>
> System Event Viewer shows:
> Event Type: Error
> Event Source: Service Control Manager
> Event Category: None
> Event ID: 7034
> Date: 8/26/2004
> Time: 5:52:38 PM
> User: N/A
> Computer: ....
>
> The System event viewr's description (in Event Properties):
> The Cygwin mountd service tterminated unexpectedly.
> It has done this 1 time(s).
>
> Application Event Viewer shows:
>
> Type: Error
> Date: 8/26/2004
> Time: 5:52:37 PM
> Source:     mountd
> Category:   None
> Event:      0
> User:       SYSTEM
> Computer:   ....
>
> The Application event viewr's description (in Event Properties):
> The description for Event ID (0) in Source (mountd) cannot be found.
> The local computer may not have necessary registry information or
> message DLL file to display message from a remote computer.
> ...
> Thew following information is part of the event:
> mountd: PID 288: unable to register (mountd,1,udp).
>
> ---------- Forwarded Message ----------
> X-Sybari-Trust: b171f028 02c761e1 97645fcf 0000000c
> From: "david" <arnette at freemail dot hu>
> To: <cygwin at cygwin dot com>
> Date: Sat, 21 Aug 2004 23:32:17 +0200
> Subject: RE: sshD fails to start as a service
> ....
> On Wed, 9 Jun 2004, cygwin wrote:
>
> Dear Guys!
>
> I have the same problem, I have XP Pro. The portmap starts fine, but the
> nfsd and the mountd give this error:
>
> cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error
1062:
> The service has not been started.
>
> I run these commands but the problem still exists.
> chmod 755 /usr/sbin/* /usr/bin/*
> eval "`mount -m | sed 's/ -u / -s /'`"
>
> I don't know what happened with the XP or the Cygwin, I used the nfsd and
> mountd without problems earlier.
>
> Thanks a lot!
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/